org.eclipse.incquery.runtime.rete.remote

## Class Address<T extends Node>

- java.lang.Object
- - org.eclipse.incquery.runtime.rete.remote.Address<T>

-     public class Address<T extends Node>
      extends java.lang.Object

  Remote identifier of a node of type T.
  Author:
    Gabor Bergmann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Address(ReteContainer container, java.lang.Long nodeId)` General constructor.
    `Address(T node)` Local-only constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `ReteContainer` | `getContainer()`
    `T` | `getNodeCache()`
    `java.lang.Long` | `getNodeId()`
    `int` | `hashCode()`
    `static <N extends Node> Address<N>` | `of(N node)` Address of local node (use only for containers in the same VM!)
    `void` | `setContainer(ReteContainer container)`
    `void` | `setNodeCache(T nodeCache)`
    `void` | `setNodeId(java.lang.Long nodeId)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Address

          public Address(ReteContainer container,
                         java.lang.Long nodeId)

      General constructor.
      Parameters:
        `container` -
        `nodeId` -

    - #### Address

          public Address(T node)

      Local-only constructor. (use only for containers in the same VM!)
      Parameters:
        `node` - the node to address

  - ### Method Detail

    - #### of

          public static <N extends Node> Address<N> of(N node)

      Address of local node (use only for containers in the same VM!)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getContainer

          public ReteContainer getContainer()

    - #### setContainer

          public void setContainer(ReteContainer container)

    - #### getNodeId

          public java.lang.Long getNodeId()

    - #### setNodeId

          public void setNodeId(java.lang.Long nodeId)

    - #### getNodeCache

          public T getNodeCache()

    - #### setNodeCache

          public void setNodeCache(T nodeCache)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`